/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\Items\Skill Items\Magical\Potions\Heal Potions\HealPotion.cs
Lines of code: 28
***********************************************************/


using System;
using Server;

namespace Server.Items
{
	public class HealPotion : BaseHealPotion
	{
		public override int MinHeal { get { return (Core.AOS ? 13 : 6); } }
		public override int MaxHeal { get { return (Core.AOS ? 16 : 20); } }
		public override double Delay{ get{ return (Core.AOS ? 8.0 : 10.0); } }

		[Constructable]
		public HealPotion() : base( PotionEffect.Heal )
		{
		}

		public HealPotion( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}